Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.struts.common
Class ModuleContext

    java.lang.Object
      com.ibm.portal.struts.common.ModuleContext
          com.ibm.wps.struts.common.ModuleContext

Deprecated.

    public class ModuleContext

extends ModuleContext

The `ModuleContext` class is used for storing and retrieving objects in a context taking into account application prefixes. This class has been deprecated in favor of the the public package `com.ibm.portal.struts.common`.

Since:
  4.2
See Also:
  `ModuleContext`

Constructor Summary
`ModuleContext(ActionServlet actionServlet, ModuleConfig moduleConfig)` Deprecated.
`ModuleContext(ServletContext servletContext, java.lang.String modulePrefix)` Deprecated.

Method Summary

Methods inherited from class com.ibm.portal.struts.common.ModuleContext
`getObject, getPrefix, getServletContext, removeObject, setPrefix, storeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleContext

    public ModuleContext(ActionServlet actionServlet,
                         ModuleConfig moduleConfig)

  Deprecated.

  Constructs the ModuleContext object.

  Parameters:
    `actionServlet` - the action servlet object
    `moduleConfig` - ModuleConfig object
  Throws:
    `java.lang.NullPointerException` - if the parameters are null
  See Also:
    `ModuleContext`

### ModuleContext

    public ModuleContext(ServletContext servletContext,
                         java.lang.String modulePrefix)

  Deprecated.

  Constructs the ModuleContext object.

  Parameters:
    `servletContext` - the servlet context
    `modulePrefix` - module prefix
  Throws:
    `java.lang.NullPointerException` - if the parameters are null
  See Also:
    `ModuleContext`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD